/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.access;

/** General exception indicating a problem when interacting with the NDR */
public class AccessException extends RuntimeException {
    public static final long serialVersionUID = 1;

    /**
     * Generate an access exception with a specified message.
     * 
     * @param message
     *            Message associated with this exception.
     */
    public AccessException(String message) {
        super(message);
    }

    /**
     * Generate an access exception with an underlying cause.
     * 
     * @param cause
     *            The underlying cause of this exception.
     */
    public AccessException(Throwable cause) {
        super(cause);
    }

    /**
     * Generate an access exception with a message and underlying cause.
     * 
     * @param message
     *            Message associated with this exception.
     * @param cause
     *            The underlying cause of this exception.
     */
    public AccessException(String message, Throwable cause) {
        super(message, cause);
    }
}
