/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */

package org.nsdl.repository.api;

/**
 * Constants class for the NDR api
 * 
 * @author Tim
 * 
 * 
 * 
 */
public abstract class Constants {

    // public static final boolean USE_RESOURCE_TRACKER = false;

    public static final String NDR_ACCESS = Constants.class.getName()
            + ".access";
    public static final String API_REQUEST_PROCESSOR = Constants.class
            .getName()
            + ".request.proc";

    // Constants for handling characters
    public static final String CHARACTER_ENCODING = "UTF-8";

    // Constants for identifying objects within the fedora repository
    public static final String REPOS_NAMESPACE_PREFIX = "nsdl";
    public static final String PID_NAMESPACE_PREFIX = "hdl";
    public static final String REPOS_NAMESPACE = "http://ns.nsdl.org/api/relationships#";
    public static final String REPOS_SCHEMA_LOCATION = "";

    // Resource index search (risearch)
    public static final String RESOURCE_INDEX_URL = "/fedora/risearch?";

    public static final String REQUEST_NAMESPACE = "http://ns.nsdl.org/ndr/request_v1.00/";

    // Constants for parsing data element in InputXML
    public static final String INPUT_DATA_CONTENT_DS = "content";
    // datastream name that redirects to actual content in agent (service_*).
    public static final String INPUT_DATA_SERVICE_DS = "service";
    // datastream service ID as a URL for creating the service_* ds in roles.
    public static final String INPUT_DATA_SD_URL_DS = "serviceDescriptionURL";
    // datastream name for serviceDescription_* in the agent
    public static final String INPUT_DATA_SD_DS = "serviceDescription";
    public static final String INPUT_DATA_HARVEST_REQUEST_DS = "harvestRequest";
    public static final String INPUT_DATA_FORMAT_DS = "format";

    // Constants for dealing with foxml
    public static final String FEDORA_INFO_URI = "info:fedora/";

    public static final String PROPERTY_HAS_RESOURCE = "hasResource";

    // A non-restrictive way to type objects - allows multiples
    public static final String OBJECT_TYPE_AGENT = "Agent";
    public static final String OBJECT_TYPE_RESOURCE = "Resource";
    public static final String OBJECT_TYPE_AGGREGATOR = "Aggregator";
    public static final String OBJECT_TYPE_METADATA_PROVIDER = "MetadataProvider";
    public static final String OBJECT_TYPE_METADATA = "Metadata";

    public static final String AUTH_NAMESPACE = "http://ns.nsdl.org/ndr/auth#";
}
