/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.api.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.nsdl.repository.api.actionForm.Data;
import org.nsdl.repository.api.auth.AgentAuthInfo;
import org.nsdl.util.xml.NDRXMLutil;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class Info extends GenericAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {

        initDataFormBean(form, request);
        Document staticInfo = NDRXMLutil.getDocument(getClass()
                .getResourceAsStream("Info.xml"), false, false);

        AgentAuthInfo auth = getAuth(request);

        if (auth != null && auth.isVerified()) {
            ((Element) NDRXMLutil.getNodeByAttribute(staticInfo
                    .getDocumentElement(), "id", "AUTH")).setAttribute(
                    "authenticated", "true");
            ((Data) form).setHandle(auth.agent().handle());
        } else { 
            ((Data) form).setHandle("none");
        }
        ((Data) form).setResponseXML(NDRXMLutil.serializeDOMElement(staticInfo
                .getDocumentElement()));

        return (mapping.findForward(SUCCESS_FORWARD));
    }
}
