/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.api.action;                                                    


import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.*;
import org.apache.struts.util.MessageResources;
import org.nsdl.repository.api.actionForm.Data;
//import org.nsdl.repository.api.actionForm.RepositoryObject;

import org.nsdl.repository.impl.fedora.FedoraAPIWrapper;

//import org.nsdl.util.DateUtility;
//import org.nsdl.util.xml.NDRXMLutil;

/*
 * Created on Dec 23, 2004
 * @version: .9
 * @author: Ellen J. Cramer elly@cs.cornell.edu
 * TODO 
 *
 */

public class ListMetadataFormats extends GenericAction {
    
    protected static final String ME = "listMetadataFormats";
    
    //  An instance of the APIWrapper to pass to the repos. beans.
    protected FedoraAPIWrapper API = null;
    
    public ActionForward execute(ActionMapping mapping, ActionForm form,
        HttpServletRequest request, HttpServletResponse response)
        throws Exception
    {
        //  Cast incoming form so we can reference it
        Data lfrmData = (Data) form;
        
        //  Set up basics
        initDataFormBean(lfrmData, request);
                    
        //  Message properties file access is through this:
        MessageResources lrscResources = this.getResources(request);
        
        //  Set up error mechanism
        ActionErrors lerrErrors = new ActionErrors();

        //  Set up basics
        ArrayList<String> larrMetadataFormats = new ArrayList<String>();
        
         //  Get the metadata datastream format information.
        try {
            
        }
        catch (Exception e) {
            /** If fails, user gets an error message. */
            lfrmData.setCode(lrscResources.getMessage("error.application.code"));
            lerrErrors.add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("error.application.api", ME, 
                            "Unable to read the object."));
            saveMessages(request, lerrErrors);
            return (mapping.findForward(ERROR_FORWARD));
        }
        
        if (isCancelled(request)) return (mapping.findForward(ERROR_FORWARD));
             
        // Check if any.
        if (larrMetadataFormats == null)
        {
            /** If no results, user gets an error message. */
            lfrmData.setCode(lrscResources.getMessage("error.object.code"));
            lerrErrors.add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("error.object.fedora", ME, 
                            "No metadata found."));
            saveMessages(request, lerrErrors);
            response.setStatus(HttpServletResponse.SC_INTERNAL_SERVER_ERROR);
            return (mapping.findForward(ERROR_FORWARD));
        } 
        else 
        {                
          String lstrMetadataFormats = "nsdl_dc,oai_dc";
        	// Set the formats in the result form.
        	lfrmData.setMetadataFormats(lstrMetadataFormats);
        	return (mapping.findForward(SUCCESS_FORWARD));
            }
    }
        
}
