/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.api.auth;

import java.util.Set;

import org.nsdl.repository.api.request.Request;
import org.nsdl.repository.model.NDRObject;
import org.nsdl.repository.model.NDRObjectInfo;

public class PromiscuousAuthInfo implements AgentAuthInfo {

	public NDRObject agent() {
		return null;
	}

	public boolean isAuthorizedFor(NDRObjectInfo object) {
		return true;
	}

	public boolean isAuthorizedFor(Request request) {
		return true;
	}

	public boolean isVerified() {
		return true;
	}

	public boolean memberOf(Set<NDRObject> aggregations) {
		return true;
	}

	public boolean memberOf(NDRObjectInfo aggregation) {
		return true;
	}

    public void addMessage(String message) {
        /* don't actually do anything */
    }
    
    public String getMessage() {
        return "";
    }
}
