/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.api.request;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;

import org.apache.commons.fileupload.FileItem;
import org.apache.struts.upload.CommonsMultipartRequestHandler;
import org.apache.struts.upload.MultipartRequestWrapper;

/**
 * MultiPartRequestHandler that embeds files in the HttpServletRequest.
 * <p>
 * </p>
 * 
 * @author birkland
 * @since 1.3
 */
public class FilePassthroughMultipartRequestHandler extends
        CommonsMultipartRequestHandler {

    private Collection<FileItem> m_fileItems = new ArrayList<FileItem>();

    @Override
    public void handleRequest(HttpServletRequest request)
            throws ServletException {

        super.handleRequest(request);

        /*
         * If the request isn't a wrapper, we're screwed anyway, so don't bother
         * to check.
         */
        MultipartRequestWrapper wrapper = (MultipartRequestWrapper) request;
        for (FileItem item : m_fileItems) {
            wrapper.setAttribute("_file." + item.getFieldName(), item);
        }
    }

    @Override
    protected void addFileParameter(FileItem item) {
        m_fileItems.add(item);
    }
}
