/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.handle;

import org.nsdl.util.DateUtility;

/**
 * @author Tim
 *
 */
public class TimeBasedHandleGenerator implements HandleGenerator 
{
    
    public TimeBasedHandleGenerator() {
    }
    
    /* (non-Javadoc)
     * @see org.nsdl.repository.handle.HandleGenerator#generateHandle()
     */
    public String generateHandle(String namingAuthority)
    {
      String lstrTimeVal = DateUtility.getTimestamp("yyyyMMddHHmmssSSS");
               return namingAuthority + "/" + lstrTimeVal + "T";
    }

    /* (non-Javadoc)
     * @see org.nsdl.repository.handle.HandleGenerator#neverGenerate(java.lang.String)
     */
    public void neverGenerate(String handle)
    {
        // TODO Auto-generated method stub
        
    }

}
