/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.impl.fedora;

import org.apache.commons.httpclient.HttpClient;
import org.nsdl.repository.impl.fedora.ri.RIQueryEngine;

import fedora.common.PID;

/** Provides access to the API-A/M and RI of a Fedora instance
 * 
 * @author birkland
 */
public interface FedoraAccess {
    
    /** Get an RI Query Engine for this particular Fedora instance */
    public RIQueryEngine getRI();
    
    /** Get a wrapper providing API-A/M access to this Fedora instance */
    public FedoraAPIWrapper getAPI();
    
    /** Get an HttpClient supplied with the correct credentials to
     * execute API calls
     */
    public HttpClient getHttpClient();
    
    public boolean objectExists(PID pid);
}
