/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.impl.fedora;

import org.nsdl.repository.access.NDRAccess;
import org.nsdl.repository.model.ExistenceException;
import org.nsdl.repository.model.NDRObjectInfo;

import fedora.common.PID;

public interface FedoraNDRAccess extends NDRAccess {

    public static final String PROP_ROOT_PID = "ncore.fedora.root.pid";

    public FedoraNDRObject openObject(NDRObjectInfo object)
            throws ExistenceException;

    public FedoraNDRObject getObject(NDRObjectInfo identity);

    public FedoraNDRObject getObject(PID pid);

    public FedoraNDRObjectFinder getObjectFinder();

    public FedoraAccess getRepository();

    public FedoraDatastreamFactory getDatastreamFactory();
}
