/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.impl.fedora;

import org.nsdl.repository.model.Property;
import org.nsdl.repository.model.Relationship;

/** Reads and interprets relationships from Fedora */
public interface RelsReader {
    /** Read all relationships from an object */
    public Iterable<Relationship> readRelationships();
    
    /** Read all relationships of a particular type */
    public Iterable<Relationship> readRelationships(Relationship.Name type);
    
    /** Read all properties from an object */
    public Iterable<Property> readProperties();
    
    /** Read all properties of a particular type */
    public Iterable<Property> readProperties(Property.Name type);
}
