/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.model;

import org.nsdl.repository.access.AccessException;

/** Indicates that an ndr object does not exist, or exists when it should not. */
public class ExistenceException extends AccessException {
    static final long serialVersionUID = 1;

    /**
     * Existence exception with a provided message .
     * 
     * @param message
     *            The message.
     */
    public ExistenceException(String message) {
        super(message);
    }

    /**
     * Existence exception with a root cause.
     * 
     * @param e
     *            The cause.
     */
    public ExistenceException(Throwable e) {
        super(e);
    }

    /**
     * Existence exception with a message and root cause.
     * 
     * @param message
     *            The message.
     * @param e
     *            The cause.
     */
    public ExistenceException(String message, Throwable e) {
        super(message, e);
    }
}
