/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.model;

import org.nsdl.repository.model.types.Type;
/**
 * Represents the identity of a particular NDR object.
 * 
 * @author birkland
 * @since 1.0
 */
public interface NDRObjectInfo {

    /**
     * Returns the type of this object.
     * 
     * @return The type.
     */
    Type<? extends NDRObject> type();

    /**
     * Returns the handle of this object.
     * 
     * @return String that is the handle.
     */
    String handle();
}
