/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.model.content;

/**
 * Represents the scope of a component in a {@link Definitions Definition}.
 * 
 * @author birkland
 * @since 1.1
 */
public enum Scope {
    /** Components that are also part of some other model. */
    Shared,

    /** Components that are unique to a particular model. */
    Exclusive,

    /** All components regardless of exclusivity. */
    All
}
