/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.model.content;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Marks a component definition as shared.
 * <p>
 * Used to explicitly state that another model uses the annotated component. In
 * general, it is better to use interface inheritance (i.e. several models
 * inherit from one common ancestor containing all shared components) rather
 * than annotating properties as shared.
 * </p>
 * 
 * @author birkland
 * @since 1.1
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface Shared {

}
