/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.model.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;

import org.nsdl.repository.access.AccessException;
import org.nsdl.repository.model.Datastream;
import org.nsdl.repository.model.NDRObject;
import org.nsdl.repository.model.NDRObjectInfo;
import org.nsdl.repository.model.Property;
import org.nsdl.repository.model.Relationship;
import org.nsdl.repository.model.Datastream.Name;
import org.nsdl.repository.model.types.Type;

class EmptyObject implements NDRObject {

    public Datastream addDatastream(Name name) {
        return null;
    }

    public void addDatastreams(Collection<Datastream> toAdd) {
    }

    public void addProperties(Collection<Property> toAdd) {

    }

    public void addProperty(org.nsdl.repository.model.Property.Name predicate,
            String value) {
    }

    public void addRelationship(
            org.nsdl.repository.model.Relationship.Name predicate,
            NDRObjectInfo object) {
    }

    public void addRelationships(Collection<Relationship> toAdd) {
    }

    public void commit() throws AccessException {

    }

    public Date getCreatedDate() {
        return null;
    }

    public Datastream getDatastream(Name id) {
        return null;
    }

    public Collection<Datastream> getDatastreams() {
        return new ArrayList<Datastream>();
    }

    public Date getLastModifiedDate() {
        return null;
    }

    public Collection<Property> getProperties() {
        return new ArrayList<Property>();
    }

    public Collection<Property> getProperties(
            org.nsdl.repository.model.Property.Name predicate) {
        return new ArrayList<Property>();
    }

    public Property getProperty(
            org.nsdl.repository.model.Property.Name predicate)
            throws AccessException {
        return null;
    }

    public Relationship getRelationship(
            org.nsdl.repository.model.Relationship.Name predicate)
            throws AccessException {
        return null;
    }

    public Collection<Relationship> getRelationships() {
        return new ArrayList<Relationship>();
    }

    public Collection<Relationship> getRelationships(
            org.nsdl.repository.model.Relationship.Name predicate) {
        return new ArrayList<Relationship>();
    }

    public void removeDatastream(Name name) {
    }

    public void removeDatastreams(Collection<Datastream> toRemove) {
    }

    public void removeProperties(Collection<Property> toRemove) {
    }

    public void removeProperty(org.nsdl.repository.model.Property.Name name,
            String value) {
    }

    public void removeRelationship(
            org.nsdl.repository.model.Relationship.Name name,
            NDRObjectInfo relatedObject) {
    }

    public void removeRelationships(Collection<Relationship> toRemove) {
    }

    public void setHandle(String handle) {
    }

    public void setState(State s) {

    }

    public State state() {
        return null;
    }

    public String handle() {
        return null;
    }

    public Type<? extends NDRObject> type() {
        return null;
    }

}
