/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.oai;

import org.nsdl.repository.model.NDRObjectInfo;
import org.nsdl.repository.model.types.Type;
import org.nsdl.repository.util.StaticObjectInfo;

/**
 * @author Edwin Shin
 */
public interface OAIConstants {
    public final static String QUERY_LANGUAGE = "spo"; // "itql";
    public final static String MD_OAI_DC = "oai_dc";
    public final static String MD_NSDL_DC = "nsdl_dc";
    public final static String MD_NSDL_ALL = "nsdl_all";
    public final static String MD_NSDL_SEARCH = "nsdl_search";
    public final static String MD_NSDL_LINKS = "nsdl_links";
    public final static String MD_RELS_EXT = "RELS-EXT";
    public final static String XSL_DATASTREAM_PREFIX = "xsl_";
    public final static String XSL_OBJECT_PID = "ndr:metadata-compat_impl";
    public final static String XSL_ABOUTS = XSL_DATASTREAM_PREFIX + "Abouts";
    public final static String MD_DATASTREAM_PREFIX = "format_";
    public final static String MD_INFO_DATASTREAM_SUFFIX = "_info";
    public final static String MD_SERVICE_DATASTREAM = "serviceDescription";
    public final static String MD_SERVICE_DATASTREAM_1 = "serviceDescription_1";
    public final static String NDR_NSDL_METADATAPROVIDER_ID = "nsdl:3004";
    public final static NDRObjectInfo COLLETION_AGG =
            new StaticObjectInfo(
                    "2200/NSDL_Collection_of_Collections_Aggregator",
                    Type.Aggregator);
    public final static NDRObjectInfo COLLECITON_ADMIN =
            new StaticObjectInfo("2200/NSDL_COLLECTION_ADMIN", Type.Aggregator);
}
