package org.nsdl.repository.oai;

import java.io.InputStream;

import org.apache.log4j.Logger;
import org.nsdl.util.xml.NDRXMLutil;
import org.w3c.dom.Document;

public class ServiceDescriptionStream extends XMLContainer {

    private static final Logger logger = Logger
            .getLogger(ServiceDescriptionStream.class);

    public ServiceDescriptionStream() {
        super();
    }

    public ServiceDescriptionStream(InputStream givenContent) {
        super(givenContent);
    }

    private static final String DEFAULT_CONTENT = "<serviceDescription xmlns:dc=\"http://purl.org/dc/elements/1.1/\"> "
            + "<dc:title>NSDL member collectionCollection</dc:title>"
            + "<dc:description>Collection in the NSDL</dc:description>"
            + "<dc:type>MetadataProvider</dc:type>"
            + "<image> "
            + "<brandURL>http://nsdl.org/images/brands/default.jpg</brandURL>"
            + "<title>NSDL member collection</title>"
            +

            "<width>100</width> "
            + "<height>30</height>"
            + "<alttext>NSDL member collection</alttext>"
            + "</image>"
            + " </serviceDescription>";

    Document getDefault() {
        try {
            return NDRXMLutil.getDocument(DEFAULT_CONTENT, false, false);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    Logger getLogger() {
        return logger;
    }

}
