/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.util;


/**
 * @author Tim
 *
 */
public class LogUtility
{
  private static final String LOG_DATE_FORMAT = "yyyy-MM-dd'T'HH:mm:ss.SSS";
  
  /**
   * 
   */
  public LogUtility()
  {
  }

  public static void log(String lstrContext,String lstrMessage,int lintMessageId)
  {
     log(lstrContext,lstrMessage,new Integer(lintMessageId).toString());
  }
  
  public static void log(String lstrContext,String lstrMessage,String lstrMessageId)
  {
    String lstrTimestamp = DateUtility.getTimestamp(LOG_DATE_FORMAT);    
    
    System.out.println(
        lstrTimestamp + 
        "  " + 
        lstrContext + 
        " : " + 
        lstrMessage + 
        "  (" + lstrMessageId + ")" );    
  }
}
