/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.util.xml;

/*
 * <h3>NSDL Repository Fedora-based Project<h3>
 * <p><b>Title:</b>Validate Well-formed XML</p>
 * <p><b>Description:</b>Add xml well-formedness validation to Struts validation </p>
 *
 * -----------------------------------------------------------------------------
 * Copyright (c) 2005, National Science Digital Library (NSDL)
 * All rights reserved.
 * See license.txt
 * 
 * Created on Dec 23, 2004
 * @version: .9
 * @author: Ellen J. Cramer elly@cs.cornell.edu
 * TODO 
 *
 */

import org.apache.commons.validator.util.ValidatorUtils;
import org.apache.commons.validator.ValidatorAction;
import org.apache.commons.validator.Field;
import org.apache.struts.action.*;
import org.apache.struts.validator.*;
import org.apache.xerces.parsers.DOMParser;
import org.xml.sax.*;
import java.io.*;
import javax.servlet.http.*;

public class XercesChecker {

    public static boolean validateWellFormedXML(Object bean,
            ValidatorAction va, Field field, ActionMessages errors,
            HttpServletRequest request) {

        String lstrValue = null;
        lstrValue = ValidatorUtils.getValueAsString(bean, field.getProperty());
        
        StringReader lstrReader = new StringReader(lstrValue);        

        DOMParser parser = new DOMParser();
        try {
            parser.parse(new InputSource(lstrReader));
        } catch (SAXException e) {
            errors.add(field.getKey(), Resources.getActionMessage(request, va, field));
            return false;
        } catch (IOException e) {
            errors.add(field.getKey(), Resources.getActionMessage(request, va, field));
            return false;
        }
        return true;

    }

}
