<%@ include file="JSTLTagLibIncludes.jsp" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<c:set var="apiURL">
	<bean:message key="param.repository.handle.url" />
</c:set>
<c:set var="fedoraBaseURL">
	http://<bean:message key="param.host.fedora" />:<bean:message key="param.port.fedora.nonssl" />/fedora/get/
</c:set>
	<html:html>
		<head>
		<title>NSDL Repository - About <c:out value="${Data.handle}" />" </title>
		<link href="/repository/css/api.css" type="text/css" rel="stylesheet" />
		<html:base/>
		</head>
		<body>
			<div id="describeLogo">
				<img src="http://nsdl.org/skins/nsdl2_common/navtop/logo_home.gif" alt="NSDL Logo" width="218" height="60" />
			</div>
			<div id="describeHeading"> 
				<h2><bean:message key="describe.jsp.heading" /></h2>
			</div>
			<div id="content" >
			<h3><bean:message key="describe.jsp.subheading" /> <span class="messageText"><c:out value="${Data.handle}" /></span></h3>
			<ul>
		  	<html:messages id="message" message="true">
		      <li><c:out value="${message}" /> </li>
		  	</html:messages>
			</ul>
		    <c:choose>
		      <c:when test="${not empty requestScope}">
		      		<table cellpadding="3">
		      			<tr>
		      				<td class="boldText" >Label</td><td><c:out value="${Data.label}" /></td>
		      			</tr>
						<tr>
		      				<td class="boldText" >Date created</td><td><c:out value="${Data.createdDate}" /></td>
		      			</tr>
		      			<tr>
		      				<td class="boldText" >Date last modified</td><td><c:out value="${Data.lastModifiedDate}" /></td>
		      			</tr>		      			
		      			<tr>
		      				<td class="boldText" >Status<br /><br /></td><td><c:out value="${Data.state}" /><br /><br /></td>
		      			</tr>
		      			<tr>
							<td colspan="2" class="boldText" >Data</td>
						</tr>
						<tr>
							<td colspan="2"><ul>
							<c:forEach var="contentURL" items="${Data.contentDSIDList}" >
								<li>
								<a href="${fedoraBaseURL}${Data.PID}/${contentURL}">${contentURL}</a>
								</li>
							</c:forEach>
							<c:forEach var="serviceDescriptionURL" items="${Data.serviceDescriptionDSIDList}" >
								<li>
								<a href="${fedoraBaseURL}${Data.PID}/${serviceDescriptionURL}">${serviceDescriptionURL}</a>
								</serviceDescription>
							</c:forEach>
							<c:forEach var="formatURL" items="${Data.formatDSIDList}">
								<li>
								<a href="${fedoraBaseURL}${Data.PID}/${formatURL}">${formatURL}</a>
								</li>
							</c:forEach>
							<c:forEach var="dataSourceURL" items="${Data.dataSourceDSIDList}">
								<li>
								<a href="${fedoraBaseURL}${Data.PID}/${dataSourceURL}">${dataSourceURL}</a>
								</li>
							</c:forEach>
							<c:forEach var="oaiInfoURL" items="${Data.oaiInfoDSIDList}">
								<li>
								<a href="${fedoraBaseURL}${Data.PID}/${oaiInfoURL}">${oaiInfoURL}</a>
								</li>
							</c:forEach>
							</ul><br /></td>
						</tr>
		      			<tr>
							<td colspan="2" class="boldText" >Relationships</td>
						</tr>
						<tr>
		      				<td colspan="2"><ul>
							<c:forEach var="result" items="${Data.relationships}" >
								<li>
							   <c:out value="${result['rel']}" />: 
							   <c:choose>
							   		<c:when test="${fn:startsWith(result['target'], '2200/')}" >
								   	<a href="${apiURL}describe/${result['target']}?view=html"><c:out value="${result['target']}" /></a>
									</c:when>
									<c:otherwise>
									<c:out value="${result['target']}" />
									</c:otherwise>
								</c:choose>
								</li>
							</c:forEach>
							<c:if test="${fn:contains(Data.relatedObjects, 'memberOf')}" >
								<li>
								<a href="${apiURL}listMembers/${Data.PID}">listMembers</a>
								</li>
							</c:if>
							<c:if test="${fn:contains(Data.relatedObjects, 'metadataFor')}" >
								<li>
								<a href="${apiURL}getMetadata/${Data.PID}">getMetadata</a>
								</li>
							</c:if>
							<c:if test="${fn:contains(Data.relatedObjects, 'metadataProvidedBy')}" >
								<li>
								<a href="${apiURL}listMetadtaProvided/${Data.PID}">listMetadataProvided</a>
								</li>
							</c:if>
							<c:forEach var="result" items="${Data.relatedObjects}" >
									<c:choose>
										<c:when test="${fn:startsWith(result['relationship'], 'representedBy')}" >
											<li>represents: 
											<a href="${apiURL}describe/${result['relatedHandle']}?view=html">${result['relatedHandle']}</a>
											</li>
										</c:when>
										<c:when test="${fn:startsWith(result['relationship'], 'aggregatorFor')}" >
											<li>hasAggregator: 
											<a href="${apiURL}describe/${result['relatedHandle']}?view=html">${result['relatedHandle']}</a>
											</li>
										</c:when>
										<c:when test="${fn:startsWith(result['relationship'], 'metadataProviderFor')}" >
											<li>hasMetadataProvider: 
											<a href="${apiURL}describe/${result['relatedHandle']}?view=html">${result['relatedHandle']}</a>
											</li>
										</c:when>
										<c:otherwise>
											<li>${result['relationship']}:
											<a href="${apiURL}describe/${result['relatedHandle']}?view=html">${result['relatedHandle']}</a>
											</li>
										</c:otherwise>

									</c:choose>
							</c:forEach>
							</ul>
							</td>
						</tr>
						<tr>
						<td>
						</td>
						</tr>
			  </c:when>
		      <c:otherwise>
		        NO "RepositoryObject" available! <br />
		      </c:otherwise>
		    </c:choose>
			</div>
		</body>
	</html:html>
