<?xml version="1.0" encoding="UTF-8" ?>
<%@ include file="JSTLTagLibIncludes.jsp" %>
<%@ page contentType="text/xml; charset=UTF-8" %> 
<c:set var="describeURL">
	<bean:message key="param.repository.handle.url" />describe/
</c:set>
<c:set var="fedoraBaseURL">
	http://<bean:message key="param.host.fedora" />:<bean:message key="param.port.fedora.nonssl" />/fedora/get/
</c:set>

<NSDLDataRepository schemaVersion="1.00.000" 
	xmlns="http://ns.nsdl.org/ndr/response_v1.00/" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xsi:schemaLocation="http://ns.nsdl.org/ndr/response_v1.00/ http://ns.nsdl.org/schemas/ndr/response_v1.00.xsd">
	<responseTimee><c:out value="${Data.responseTimeStr}" /></responseTime>
	<requestURL><c:out value="${Data.requestURLStr}" /></requestURL>

	<c:choose>
		<c:when test="${not empty requestScope}">
			<resultData>
				<pid><c:out value="${Data.PID}" /></pid>
				<descriptiveXML>
					<properties>
						<label><c:out value="${Data.label}" /></label>
						<createdDate><c:out value="${Data.createdDate}" /></createdDate>
						<lastModifiedDate><c:out value="${Data.lastModifiedDate}" /></lastModifiedDate>
						<state><c:out value="${Data.state}" /></state>
					</properties>				
					<relationships>
						<c:forEach var="result" items="${Data.relationships}" >
							<relationship>
							   <type><c:out value="${result['rel']}" /></type>
							   <target><c:out value="${result['target']}" /></target>
							   <c:if test="${fn:startsWith(result['target'], 'nsdl:')}" >
								   <url>
								   <c:out value="${describeURL}" /><c:out value="${result['target']}" />
								   </url>
							   </c:if>
							</relationship>
						</c:forEach>
						<c:forEach var="result" items="${Data.relatedObjects}" >
									<c:choose>
										<c:when test="${fn:startsWith(result['relationship'], 'representedBy')}" >
											<relationship>											
												<type>represents</type>
												<target><c:out value="${result['relatedPID']}" /></target>
												<url>
												   <c:out value="${describeURL}" /><c:out value="${result['relatedPID']}" />
												</url>
											</relationship>												
										</c:when>
										<c:when test="${fn:startsWith(result['relationship'], 'aggregatorFor')}" >
											<relationship>
												<type>hasAggregator</type>
												<target><c:out value="${result['relatedPID']}" /></target>
												<url>
												   <c:out value="${describeURL}" /><c:out value="${result['relatedPID']}" />
												</url>
											</relationship>	
										</c:when>
										<c:when test="${fn:startsWith(result['relationship'], 'metadataProviderFor')}" >
											<relationship>
												<type>hasMetadataProvider</type>
												<a href="${apiURL}/describe/${result['relatedPID']}?view=html">${result['relatedPID']}</a>
												<target><c:out value="${result['relatedPID']}" /></target>
												<url>
												   <c:out value="${describeURL}" /><c:out value="${result['relatedPID']}" />
												</url>
											</relationship>	
										</c:when>
										<c:otherwise />
									</c:choose>
							</c:forEach>
					</relationships>					
					<data>
						<c:forEach var="contentURL" items="${Data.contentDSIDList}" >
							<content>
								<id>${contentURL}</id>
								<url>${fedoraBaseURL}${Data.PID}/${contentURL}</url>
							</content>
						</c:forEach>
						<c:forEach var="serviceDescriptionURL" items="${Data.serviceDescriptionDSIDList}" >
							<serviceDescription>
								<id>${serviceDescriptionURL}</id>
								<url>${fedoraBaseURL}${Data.PID}/${serviceDescriptionURL}</url>
							</serviceDescription>
						</c:forEach>
						<c:forEach var="formatURL" items="${Data.formatDSIDList}">
							<format>
								<id>${formatURL}</id>
								<url>${fedoraBaseURL}${Data.PID}/${formatURL}</url>
							</format>
						</c:forEach>
						<c:forEach var="dataSourceURL" items="${Data.dataSourceDSIDList}">
							<dataSource>
								<id>${dataSourceURL}</id>
								<url>${fedoraBaseURL}${Data.PID}/${dataSourceURL}</url>
							</dataSource>
						</c:forEach>
						<c:forEach var="oaiInfoURL" items="${Data.oaiInfoDSIDList}">
							<oaiInfo>
								<id>${oaiInfoURL}</id>
								<url>${fedoraBaseURL}${Data.PID}/${oaiInfoURL}</url>
							</oaiInfo>
						</c:forEach>
					</data>
				</descriptiveXML>
				<%--
				<testData>
					<properties><c:out value="${Data.properties}" /></properties>
					<relationships><c:out value="${Data.relationships}" /></relationships>
					<objectxml><c:out value="${Data.objectxml}" /></objectxml>
					<dsIDs><c:out value="${Data.DSIDs}" /></dsIDs>
					<dsContent><c:out value="${Data.contentDSIDList}" /></dsContent>
					<dsFormat><c:out value="${Data.formatDSIDList}" /></dsFormat>
					<dsServiceDescription><c:out value="${Data.serviceDescriptionDSIDList}" /></dsServiceDescription>
					<dsOaiInfo><c:out value="${Data.oaiInfoDSIDList}" /></dsOaiInfo>
					<dsDataSource><c:out value="${Data.dataSourceDSIDList}" /></dsDataSource>
				</testData>
				--%>
				</resultData>
		</c:when>
		
		<c:otherwise>
		 	<error code="object">NO "Data Object" available!</error>
		</c:otherwise>
	</c:choose>

</NSDLDataRepository>	