<xsl:stylesheet version="1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:param name="firstCreated"/>
  <xsl:param name="resources"/>    
  <xsl:template match="/abouts">
    <abouts xsl:exclude-result-prefixes="xsi">
      <about>
        <nsdl_about schemaVersion="1.00.000" xmlns="http://ns.nsdl.org/nsdl_about_v1.00" xsi:schemaLocation="http://ns.nsdl.org/nsdl_about_v1.00                                                 http://ns.nsdl.org/schemas/nsdl_about/nsdl_about_v1.00.xsd">
          <xsl:apply-templates select="/abouts/serviceDescription/image"/>
          <category>
            <xsl:value-of select="/abouts/info/nsdlAboutCategory"/>
          </category>
          <firstCreated>
            <xsl:value-of select="$firstCreated"/>
          </firstCreated>
          <primaryIdentifier>
            <xsl:value-of select="/abouts/info/repositoryPrimaryIdentifier"/>
          </primaryIdentifier>
          <link linkType="primaryCollection">
            <xsl:value-of select="/abouts/info/link"/>
          </link>
          <xsl:value-of select="$resources" disable-output-escaping="yes"/>            
        </nsdl_about>
      </about>
      <about>
        <provenance schemaVersion="1.01.000" xmlns="http://ns.nsdl.org/provenance_about_v1.01" xsi:schemaLocation="http://ns.nsdl.org/provenance_about_v1.01 http://ns.nsdl.org/schemas/provenance_about/provenance_about_v1.01.xsd">
          <xsl:apply-templates select="/abouts/info"/>
        </provenance>
      </about>
    </abouts>
  </xsl:template>
  <xsl:template match="/abouts/serviceDescription/image">
    <brand xmlns="http://ns.nsdl.org/nsdl_about_v1.00">
      <iconURL>
        <xsl:value-of select="child::brandURL"/>
      </iconURL>
      <title>
        <xsl:value-of select="child::title"/>
      </title>
      <width>
        <xsl:value-of select="child::width"/>
      </width>
      <height>
        <xsl:value-of select="child::height"/>
      </height>
    </brand>
  </xsl:template>
  <xsl:template match="/abouts/info">
    <originDescription altered="true" xmlns="http://ns.nsdl.org/provenance_about_v1.01">
      <xsl:attribute name="harvestDate">
        <xsl:value-of select="child::harvestDate"/>
      </xsl:attribute>
      <harvestType>
        <xsl:value-of select="child::harvestHarvestType"/>
      </harvestType>
      <dataSource>
        <xsl:attribute name="public">
          <xsl:value-of select="child::harvestDatasourcePublic"/>
        </xsl:attribute>
        <xsl:value-of select="child::harvestDatasource"/>
      </dataSource>
      <identifier>
        <xsl:value-of select="child::harvestIdentifier"/>
      </identifier>
      <datestamp>
        <xsl:value-of select="child::harvestRecordDatestamp"/>
      </datestamp>
      <metadataNamespace>
        <xsl:value-of select="child::metadataNamespace"/>
      </metadataNamespace>
    </originDescription>
  </xsl:template>
  <xsl:template match="text()|@*"/>
</xsl:stylesheet>
