/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.api.request;

import java.util.Collection;

import javax.xml.namespace.QName;

import org.nsdl.repository.model.NDRObjectInfo;
import org.nsdl.repository.model.Property;
import org.nsdl.repository.model.Relationship;

public class MockRequest extends MutableRequestWrapper {

    
    public void setObject(NDRObjectInfo object) {
        setObjectInfo(object);
    }
    
    public void setRequestString(String request) {
        setRequest(request);
    }
    
    public void setType(Request.Type type) {
        setRequestType(type);
    }
    
    public void setRelationships(QName command, Collection<Relationship> rels) {
        for (Relationship rel : rels) {
            putRelationship(command, rel);
        }
    }
    
    public void setProperties(QName command, Collection<Property> props) {
        for (Property p : props) {
            putProperty(command, p);
        }
    }
    
}
