/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.impl.fedora.risearch;


import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.text.ParseException;

/**
 *  load triples into a TestRIQueryEngine
 * @author naomi and aaron
 *
 */
public abstract class TripleLoader
{

	/** given a file of triples and a TestRIQueryEngine,
	 * read the file, create a set of triples, then populate the query engine 
	 * with the triples
	 * @param tripleFname
	 * @param queryEngine
	 * @throws FileNotFoundException
	 * @throws IOException
	 * @throws ParseException
	 */
	public static void loadNTriples(String tripleFname, TestRIQueryEngine queryEngine)
		throws FileNotFoundException, IOException
	{
		NTripleIterator triples = new NTripleIterator(new File(tripleFname));
		
		queryEngine.populate(triples);		
	}
    
	// TODO: add method to load from foxml
}

