/*
 * ----------------------------------------------------------------------------
 *
 * License and Copyright:
 *
 * The contents of this file are subject to the Educational Community
 * License v1.0  (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at
 * http://www.opensource.org/licenses/ecl1.php.
 *
 * Software distributed under the License is distributed on an "AS IS" 
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2002-2009 by Cornell University All rights reserved.
 *
 * ----------------------------------------------------------------------------
 */
 
package org.nsdl.repository.oai;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

import org.junit.Test;

import static junit.framework.Assert.assertEquals;
public class InfoStreamTest {
    private static final String EXAMPLE_INFO = 
        "<info>\n" +
        "  <nsdlAboutCategory>item</nsdlAboutCategory>\n" +
        "  <link>oai:nsdl.org:crs:2666311</link>\n" +
        "  <harvestDate>2008-02-04T20:24:13Z</harvestDate>\n"+
        "  <harvestHarvestType>OAI2.0</harvestHarvestType>\n"+
        "  <harvestDatasource>http://nsdl.org/metadataNotHarvested</harvestDatasource>\n"+
        "  <metadataNamespace>http://ns.nsdl.org/nsdl_dc_v1.02/</metadataNamespace>\n"+
        "  <harvestIdentifier>oai:nsdl.org:crs:2666311</harvestIdentifier>\n" +
        "  <harvestRecordDatestamp>2008-02-04T20:24:13Z</harvestRecordDatestamp>\n" +
        "  <repositoryPrimaryIdentifier>http://example.org/test</repositoryPrimaryIdentifier>\n" +
        "  <harvestDatasourcePublic>true</harvestDatasourcePublic>\n" +
        "</info>";
    
    @Test public void testReadLink() throws Exception {
        InfoStream is = new InfoStream(stringToStream(EXAMPLE_INFO));
        assertEquals("oai:nsdl.org:crs:2666311", is.getLink());
    }
    
    private static InputStream stringToStream(String input) throws Exception {
        return new ByteArrayInputStream(input.getBytes("UTF-8"));
    }
                                              
}
